import { VegaSlimmer } from '../../../../vega-slimmer/vega-slimmer-core';
import { MutationObserverSlimmer } from '../../../../helpers/slimmers/mutation-observer/mutation-observer-slimmer';
import { VegaProgressTracker } from '../../vega-progress-tracker';
/**
 * Controls the current steps of the progress tracker component.
 */
export declare class VegaProgressTrackerCurrentStepsController extends VegaSlimmer {
  host: VegaProgressTracker['host'];
  steps: VegaProgressTracker['steps'];
  currentSteps: VegaProgressTracker['currentSteps'];
  renderModeController: VegaProgressTracker['renderModeController'];
  current: VegaProgressTracker['current'];
  deprecatedPropertySlimmer: VegaProgressTracker['deprecatedPropertySlimmer'];
  protected mutationObserver: MutationObserverSlimmer;
  /** connectedCallback */
  connectedCallback(): void;
  /** disconnectedCallback */
  disconnectedCallback(): void;
  /** componentWillLoad */
  componentWillLoad(): void;
  /** componentDidLoad */
  componentDidLoad(): void;
  /** while steps changed, we need sync up current steps */
  watchSteps(): void;
  /** while current state changed, we need sync up current steps */
  watchCurrentChange(): void;
  /** while completedStepArray changed, we need sync up current steps */
  watchCompletedStepArray(): void;
  /** while completedSteps changed, we need sync up current steps */
  watchCompletedSteps(): void;
  /**
   * Sync up current steps
   */
  private syncUpCurrentSteps;
  /**
   * If template mode, append slot attribute to each step element in host.
   */
  private appendSlotAttribute;
}
